curl --request PUT \
--url https://{api_endpoint}/v1/orchestrate/agents/{id}/embedded-chat-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"layout": {
"primary_color": "<string>",
"second_color": "<string>",
"accent_color": "<string>",
"theme": "<string>",
"enable_text_streaming": true,
"form": {
"type": "<string>",
"properties": {
"container_id": "<string>",
"width": "<string>",
"height": "<string>"
}
}
},
"is_live": true
}
'{
"layout": {
"primary_color": "<string>",
"second_color": "<string>",
"accent_color": "<string>",
"theme": "<string>",
"enable_text_streaming": true,
"form": {
"type": "<string>",
"properties": {
"container_id": "<string>",
"width": "<string>",
"height": "<string>"
}
}
},
"is_live": true,
"script": "<string>",
"updated_at": "<string>"
}Create or update embedded chat config for a registered agent.
curl --request PUT \
--url https://{api_endpoint}/v1/orchestrate/agents/{id}/embedded-chat-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"layout": {
"primary_color": "<string>",
"second_color": "<string>",
"accent_color": "<string>",
"theme": "<string>",
"enable_text_streaming": true,
"form": {
"type": "<string>",
"properties": {
"container_id": "<string>",
"width": "<string>",
"height": "<string>"
}
}
},
"is_live": true
}
'{
"layout": {
"primary_color": "<string>",
"second_color": "<string>",
"accent_color": "<string>",
"theme": "<string>",
"enable_text_streaming": true,
"form": {
"type": "<string>",
"properties": {
"container_id": "<string>",
"width": "<string>",
"height": "<string>"
}
}
},
"is_live": true,
"script": "<string>",
"updated_at": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.